Bug 391756 - Improve UX/error message when Discover is asked to open an invalid appstream:// URI
Summary: Improve UX/error message when Discover is asked to open an invalid appstream:...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.12.3
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-12 14:46 UTC by Harald Sitter
Modified: 2018-03-16 11:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2018-03-12 14:46:37 UTC
`xdg-open appstream://foooooooobar.desktop`

discover will throw up one of those error notifications at the bottom about the id not being found which disappears ever so swiftly, coupled with bug 391754 you could even miss it entirely.

instead I think what would be handy is loading an error page (like an app page, albeit for displaying grave errors; kinda like the ones in firefox/chrome) which displays persistent error information.

something like

"Could not find application 'org.foobar'. It may be that it is simply not available for your Distribution. Please contact your distribution for more information."

and have distros provide some url you can link to for contact about this, or perhaps better yet, use /etc/os-release's SUPPORT_URL.
Comment 1 Nate Graham 2018-03-12 18:35:58 UTC
> one of those error notifications at the bottom about the id not being found which disappears ever so swiftly

Just recently fixed in https://phabricator.kde.org/D11009

Other than that, agreed.
Comment 2 Aleix Pol 2018-03-16 11:46:35 UTC
Git commit da7b1977a8144b0b1ae549795291406a324078e6 by Aleix Pol.
Committed on 16/03/2018 at 11:45.
Pushed by apol into branch 'master'.

Show a full error page to indicate that the resource wasn't found

M  +1    -1    discover/DiscoverObject.cpp
M  +1    -0    discover/DiscoverObject.h
M  +20   -0    discover/qml/DiscoverWindow.qml

https://commits.kde.org/discover/da7b1977a8144b0b1ae549795291406a324078e6